<?php
/**

*Moban url: http://aiwangxue.com
*Version: 6.0
**/

/**
*
*post meta test
*
**/
/*****文章信息填写********/
$meta_conf = array(
  'title' => '文章SEO信息',
  'id'=>'example_box',
  'page'=>array('page','post'),
  'context'=>'normal',
  'priority'=>'low'
);

$ashu_meta = array();

$ashu_meta[] = array(
  'name' => '文章SEO标题',
  'id'   => 'wzseotit',
  'desc' => '文章SEO标题(可不写)',
  'std'  => '',
  'type' => 'text',
  //'quick_edit'=>true //quick_edit
);

$ashu_meta[] = array(
  'name' => '文章SEO描述',
  'id'   => 'wzseodes',
  'desc' => '文章SEO描述(可不写)',
  'std'  => '',
  'type' => 'textarea'
);

$new_box = new ashuwp_postmeta_feild($ashu_meta, $meta_conf);

/**
*
*Tab style
*
**/

$tab_conf = array(
  'title' => '信息填写',
  'id'=>'tab_box',
  'page'=>array('page','post'),
  'context'=>'normal',
  'priority'=>'low',
  'tab'=>true
);

$tab_meta = array();

/**子选项一**/
$tab_meta[] = array(
  'name' => '常规信息',
  'id'   => 'tab_first',
  'type' => 'open'
);

$tab_meta[] = array(
  'name' => '从业经验',
  'id'   => 'jingyan',
  'desc' => '填写从业经验内容',
  'std'  => '',
  'type' => 'text',
  //'quick_edit'=>true(显示在后台文章列表)
);
$tab_meta[] = array(
  'name' => '从业经验2',
  'id'   => 'jingyan2',
  'desc' => '填写从业经验内容',
  'std'  => '',
  'type' => 'text',  
);
$tab_meta[] = array(
  'name' => '从业经验3',
  'id'   => 'jingyan3',
  'desc' => '填写从业经验内容',
  'std'  => '',
  'type' => 'text',
);
$tab_meta[] = array(
  'name' => '从业经验4',
  'id'   => 'jingyan4',
  'desc' => '填写从业经验内容',
  'std'  => '',
  'type' => 'text',
);

$tab_meta[] = array(
  'name' => '文件上传',
  'id'   => 'upload_img',
  'desc' => '请上传文件或者填写文件URL.',
  'std'  => '',
  'button_text' => '上传',
  'type' => 'upload'
);

$tab_meta[] = array(
  'name' => '图片组上传',
  'id'   => 'imgzuurl',
  'desc' => '请上传多张图片.',
  'std'  => '',
  'button_text' => '上传文件',
  'type' => 'gallery'
);

/*
$tab_meta[] = array(
  'name'  => '编辑器',
  'id'    => 'tinymce_example',
  'desc'  => '使用编辑器编辑内容',
  'std'   => '',
  'media' => 1,
  'type'  => 'tinymce'
);
*/
$tab_meta[] = array(
  'type' => 'close'
);





/**子选项二**/
/*
$tab_meta[] = array(
  'name' => '信息组',
  'id'   => 'tab_second',
  'type' => 'open'
);

$tab_meta[] = array(
  'name' => '多个文本输入框',
  'id'   => 'text_multiple_example',
  'desc' => '将“multiple”设置为true，则字段为“multiple”.',
  'std'  => '',
  'multiple' => true,
  'type' => 'text'
);

$tab_meta[] = array(
  'name' => '图片输入和上传',
  'id'   => 'input_upload',
  'desc' => '',
  'std'  => '',
  'subtype' => array(
    array(
      'name' => 'Title',
      'id'   => 'title',
      'desc' => '图片标题.',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => 'Link',
      'id'   => 'link',
      'desc' => '图片链接地址（需包含http://）',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => 'Image',
      'id'   => 'image',
      'desc' => '请上传图片或者填写文件URL.',
      'std'  => '',
      'button_text' => '上传',
      'type' => 'upload'
    ),
  ),
  'type' => 'group'
);

$tab_meta[] = array(
  'name' => '添加更多输入和上传框',
  'id'   => 'input_upload_multiple',
  'desc' => '',
  'std'  => '',
  'subtype' => array(
  array(
      'name' => 'Title',
      'id'   => 'title',
      'desc' => '图片标题.',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => 'Link',
      'id'   => 'link',
      'desc' => '图片链接地址（需包含http://）',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => 'Image',
      'id'   => 'image',
      'desc' => '请上传图片或者填写文件URL.',
      'std'  => '',
      'button_text' => '上传',
      'type' => 'upload'
    ),
  ),
  'multiple' => true,
  'type' => 'group'
);

$tab_meta[] = array(
  'type' => 'close'
);
*/


$tab_box = new ashuwp_postmeta_feild($tab_meta, $tab_conf);


/*****分类信息填写 ******/
$ashu_feild = array();
$taxonomy_cof = array('category');

$ashu_feild[] = array(
  'name'      => 'SEO标题',
  'id'        => 'cattitle',
  'desc'      => '填写分类的SEO标题（可不写）.',
  'std'       => '',
  'edit_only' => false,
  'type'      => 'text'
);

$ashuwp_termmeta_feild = new ashuwp_termmeta_feild($ashu_feild, $taxonomy_cof);











/**后台主题设置**/
$page_info = array(
  'full_name'  => '主题设置',
  'optionname' => 'general',
  'child'      => false,
  'desc'       => '<a href="http://aiwangxue.com">WP模板阁</a>',
  'filename'   => 'generalpage'
);

$ashu_options = array();

$ashu_options[] = array(
  'name' => 'SEO设置',
  'type' => 'title'
);

$ashu_options[] = array(
  'name' => '首页标题',
  'id'   => 'wpd_title',
  'desc' => '这里是首页标题内容',
  'std'  => '',
  'type' => 'text'
);
$ashu_options[] = array(
  'name' => '首页描述',
  'id'   => 'wpd_des',
  'desc' => '这里是首页描述内容',
  'std'  => '',
  'type' => 'text'
);
$ashu_options[] = array(
  'name' => '首页关键词',
  'id'   => 'wpd_keys',
  'desc' => '这里是首页关键词内容',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '信息设置',
  'type' => 'title'
);

$ashu_options[] = array(
  'name' => '电话号码',
  'id'   => 'tellphone',
  'desc' => '这里是电话号码',
  'std'  => '',
  'type' => 'text'
);
$ashu_options[] = array(
  'name' => '手机号码',
  'id'   => 'shouji',
  'desc' => '这里是手机号码',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => 'QQ号码',
  'id'   => 'qqhao',
  'desc' => '这里是QQ号码',
  'std'  => '',
  'type' => 'text'
);
$ashu_options[] = array(
  'name' => '电子邮箱',
  'id'   => 'email',
  'desc' => '这里是电子邮箱',
  'std'  => '',
  'type' => 'text'
);
$ashu_options[] = array(
  'name' => '公司地址',
  'id'   => 'dizhi',
  'desc' => '这里是公司地址',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '热搜关键词',
  'id'   => 'scwords',
  'desc' => '这里是热搜关键词,显示在搜索框下,多个词用,隔开(没有可不填！)',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '版块ID设置',
  'type' => 'title'
);
$ashu_options[] = array(
  'name' => '新闻资讯ID',
  'id'   => 'catid01',
  'desc' => '这里是新闻资讯ID',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '产品展示分类ID',
  'id'   => 'catid02',
  'desc' => '这里是产品展示分类ID',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '运输线路分类ID',
  'id'   => 'catid03',
  'desc' => '这里是运输线路分类ID',
  'std'  => '',
  'type' => 'text'
);


$ashu_options[] = array(
  'name' => '图片列表展示ID',
  'id'   => 'tuwenarr',
  'desc' => '以图片列表展示的分类ID，多个ID用,隔开。.',
  'type' => 'numbers_array'
);

$ashu_options[] = array(
  'name' => 'URL设置',
  'type' => 'title'
);

$ashu_options[] = array(
  'name' => '关于我们URL',
  'id'   => 'abouturl',
  'desc' => '这里是关于我们页面ULR（需带http://）',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '联系我们URL',
  'id'   => 'contactus',
  'desc' => '这里是联系我们页面ULR（需带http://）',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '备案号',
  'id'   => 'beianhao',
  'desc' => '这里是备案号',
  'std'  => '',
  'type' => 'text'
);

$ashu_options[] = array(
  'name' => '文本设置',
  'type' => 'title'
);

$ashu_options[] = array(
  'name' => '关于我们',
  'id'   => 'aboutus',
  'desc' => '这里是关于我们内容(换行br)',
  'std'  => '',
  'type' => 'textarea'
);

$ashu_options[] = array(
  'name' => '图片上传',
  'type' => 'title'
);
$ashu_options[] = array(
  'name' => '网站LOGO',
  'id'   => 'logo',
  'desc' => '这里是网站LOGO上传。尺寸：465px*97px.',
  'std'  => '',
  'button_text' => '上传',
  'type' => 'upload'
);
$ashu_options[] = array(
  'name' => 'BANNER图',
  'id'   => 'bannerimg',
  'desc' => '这里是BANNER图上传。尺寸：1920px*280px.',
  'std'  => '',
  'button_text' => '上传',
  'type' => 'upload'
);
$ashu_options[] = array(
  'name' => '微信二唯码',
  'id'   => 'weixinimg',
  'desc' => '这里是微信二唯码上传。尺寸：300px*300px.',
  'std'  => '',
  'button_text' => '上传',
  'type' => 'upload'
);

/*
$ashu_options[] = array(
  'name' => '图片组上传',
  'id'   => 'gallery_example',
  'desc' => '请上传多张图片.',
  'std'  => '',
  'button_text' => '上传文件',
  'type' => 'gallery'
);

$ashu_options[] = array(
  'name'  => '编辑器',
  'id'    => 'tinymce_example',
  'desc'  => '使用编辑器编辑内容',
  'std'   => '',
  'media' => 1,
  'type'  => 'tinymce'
);*/

$ashu_options[] = array(
  'name' => '轮播图设置',
  'type' => 'title'
);


$ashu_options[] = array(
  'name' => '添加轮播图',
  'id'   => 'banner',
  'desc' => '',
  'std'  => '',
  'subtype' => array(
    array(
      'name' => '链接地址',
      'id'   => 'link',
      'desc' => '图片链接地址（需包含http://）',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => '图片地址',
      'id'   => 'image',
      'desc' => '请上传图片或者填写图片URL（尺寸：1920*432）.',
      'std'  => '',
      'button_text' => '上传',
      'type' => 'upload'
    ),
  ),
  'multiple' => true,
  'type' => 'group'
);

/*$ashu_options[] = array(
  'name' => '轮播图上传',
  'id'   => 'banner2',
  'desc' => '',
  'std'  => '',
  'subtype' => array(
    array(
      'name' => '链接地址',
      'id'   => 'link',
      'desc' => '图片链接地址（需包含http://）',
      'std'  => '',
      'type' => 'text'
    ),
    array(
      'name' => '图片地址',
      'id'   => 'image',
      'desc' => '请上传图片或者填写图片URL（尺寸：1920*432）.',
      'std'  => '',
      'button_text' => '上传',
      'type' => 'upload'
    ),
  ),
  'type' => 'group'
);*/

$option_page = new ashuwp_options_feild($ashu_options, $page_info);







